> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get specific webhook info



## OpenAPI

````yaml get /webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: webhook API
  version: '1.0'
servers:
  - url: https://api.chainbase.online/v1/
security:
  - {}
paths:
  /webhooks/{webhook_id}:
    get:
      summary: Get Webhook
      description: Get specific webhook info
      operationId: get-webhook
      parameters:
        - name: webhook_id
          in: path
          description: Webhook ID to be queried
          schema:
            type: string
          required: true
        - name: x-api-key
          in: header
          description: YOUR-API-KEY
          required: true
          schema:
            type: string
            example: demo
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: >-
                    {"code":0,"msg":"ok","data":{"total":1,"data":[{"webhook_id":"cebcd999-882c-4279-ab60-10e85dfd8610","filters":[{"field":"contract_address","values":["0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2","0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599","0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48","0xdAC17F958D2ee523a2206206994597C13D831ec7"]}],"webhook_name":"massive-erc20-transfer","webhook_url":"https://gtsfh5g3c4.hk.aircode.run/erc20transfer","data_source":"polygon_logs","additional_headers":[{"name":"Authorization","value":"Bearer
                    xyz"}],"created_at":"2023-08-28T08:58:31.529726Z","updated_at":"2023-08-28T09:00:19.129449Z","status":"deactivated"}]}}
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 0
                    default: 0
                  msg:
                    type: string
                    example: ok
                  data:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 1
                        default: 0
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            webhook_id:
                              type: string
                              example: cebcd999-882c-4279-ab60-10e85dfd8610
                            filters:
                              type: array
                              items:
                                type: object
                                properties:
                                  field:
                                    type: string
                                    example: contract_address
                                  values:
                                    type: array
                                    items:
                                      type: string
                                      example: >-
                                        0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2
                            webhook_name:
                              type: string
                              example: massive-erc20-transfer
                            webhook_url:
                              type: string
                              example: https://gtsfh5g3c4.hk.aircode.run/erc20transfer
                            data_source:
                              type: string
                              example: polygon_logs
                            additional_headers:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Authorization
                                  value:
                                    type: string
                                    example: Bearer xyz
                            created_at:
                              type: string
                              example: '2023-08-28T08:58:31.529726Z'
                            updated_at:
                              type: string
                              example: '2023-08-28T09:00:19.129449Z'
                            status:
                              type: string
                              example: deactivated
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: >-
                    {"code":-1,"msg":"internal error:sql: no rows in result
                    set","data":[]}
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: -1
                    default: 0
                  msg:
                    type: string
                    example: 'internal error:sql: no rows in result set'
                  data:
                    type: array
      deprecated: false

````